be.fgov.ehealth.mycarenet.commons.core.v4

## Class OriginType

- java.lang.Object
- - be.fgov.ehealth.mycarenet.commons.core.v4.OriginType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:28:36+01:00",
                 comments="JAXB RI v2.3.7")
      public class OriginType
      extends Object
      implements Serializable

  Information about the originator of the request.

  Java class for OriginType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="OriginType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice minOccurs="0">
                 <sequence>
                   <element name="Package" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}PackageType"/>
                   <element name="SiteID" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}ValueRefString" minOccurs="0"/>
                   <element name="CareProvider" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}CareProviderType"/>
                   <element name="Sender" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}PartyType" minOccurs="0"/>
                 </sequence>
                 <element name="Actor" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}ActorType" maxOccurs="unbounded"/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OriginType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ActorType>` | `getActors()` Gets the value of the actors property.
    `CareProviderType` | `getCareProvider()` Gets the value of the careProvider property.
    `PackageType` | `getPackage()` Gets the value of the package property.
    `PartyType` | `getSender()` Gets the value of the sender property.
    `ValueRefString` | `getSiteID()` Gets the value of the siteID property.
    `void` | `setCareProvider(CareProviderType value)` Sets the value of the careProvider property.
    `void` | `setPackage(PackageType value)` Sets the value of the package property.
    `void` | `setSender(PartyType value)` Sets the value of the sender property.
    `void` | `setSiteID(ValueRefString value)` Sets the value of the siteID property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OriginType

          public OriginType()

  - ### Method Detail

    - #### getActors

          public List<ActorType> getActors()

      Gets the value of the actors property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the actors property.

      For example, to add a new item, do as follows:

              getActors().add(newItem);

      Objects of the following type(s) are allowed in the list `ActorType`

    - #### getPackage

          public PackageType getPackage()

      Gets the value of the package property.
      Returns:
        possible object is `PackageType`

    - #### setPackage

          public void setPackage(PackageType value)

      Sets the value of the package property.
      Parameters:
        `value` - allowed object is `PackageType`

    - #### getSiteID

          public ValueRefString getSiteID()

      Gets the value of the siteID property.
      Returns:
        possible object is `ValueRefString`

    - #### setSiteID

          public void setSiteID(ValueRefString value)

      Sets the value of the siteID property.
      Parameters:
        `value` - allowed object is `ValueRefString`

    - #### getCareProvider

          public CareProviderType getCareProvider()

      Gets the value of the careProvider property.
      Returns:
        possible object is `CareProviderType`

    - #### setCareProvider

          public void setCareProvider(CareProviderType value)

      Sets the value of the careProvider property.
      Parameters:
        `value` - allowed object is `CareProviderType`

    - #### getSender

          public PartyType getSender()

      Gets the value of the sender property.
      Returns:
        possible object is `PartyType`

    - #### setSender

          public void setSender(PartyType value)

      Sets the value of the sender property.
      Parameters:
        `value` - allowed object is `PartyType`

Connector Packaging PERSPODOLOGIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.